package be.iminds.ilabt.jfed.experimenter_gui.gts_editor.views;

import be.iminds.ilabt.jfed.experimenter_gui.editor.views.EditorViewType;
import javafx.beans.property.ReadOnlyStringProperty;
import javafx.scene.layout.Region;

/**
 * User: twalcari
 * Date: 2/11/2016
 * Time: 13:22
 */
public interface EditableGtsDslView {

    /**
     * @return The JavaFX Region that should be displayed for this EditableRspecView
     */
    Region getView();

    EditorViewType getType();

    String getResultDsl();

    /**
     * This method is called when the view is no longer relevant.
     */
    void dispose();

    ReadOnlyStringProperty statusProperty();
}
